<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Data Mahasiswa</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-widht, initial-scale=1">
        <link rel="stylesheet" href="css/data.css">
    </head>
    <body>
        <div class="navbar">
            <nav>
                <img class="logo" src="assets/logo.svg">
                <ul>
                    <li><a href="/home">Beranda</a></li>
                    <li><a href="/data">Data Peserta</a></li>
                    <li> <a href="#"><img class="profil_pic" src="img/DataUser.png" ></a>
                        <ul class="dropdown">
                            <li><a href="/profile">Data Diri</a></li>
                            <li><a href="/logout">Keluar</a></li>
                        </ul>
                    </li>
                </ul>

            </nav>
        </div>
        <h2>Data Peserta</h2>
        <div class="container">
            <table class="table"> 
                <thead>
                    <tr>
                     <th>Nama Lengkap</th>
                     <th>Email</th>
                     <th>Username</th>
                     <th>Operasi</th>
                    </tr>
                </thead>
                <tbody>
                    <% for(let i=0; i < data.length; i++) { %>
                      <tr>
                            <td data-label="nama"><%= data[i].fullname %></td>
                            <td data-label="email"><%= data[i].email %></td>
                            <td data-label="username"><%= data[i].username %></td>
                            <td data-label="operasi">
                                <form action="/user/<%= data[i]._id %>/delete" method="POST">
                                    <input type="hidden" name="_method" value="DELETE">
                                    <button type="submit">Hapus</button>
                                </form>
                                <form action="/user/<%= data[i]._id %>/edit">
                                    <button type="submit">Edit</button>
                                </form>
                            </td>
                      </tr>
                    <% } %>
                </tbody>
              </table>
        </div>
        <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
    </body>
</html>